#ifndef AK_LOGGER_INF_H
#define AK_LOGGER_INF_H

/**
  *
  * @author Abdelilah Essiari
  */
#ifdef __cplusplus
extern "C" {
#endif

/**
  **/
int initLogger(const char* id, 
               const char* conFile, 
               void** handle, 
               char** status);
/**
  **/
int deleteLogger(void* handle);

/**
  **/
void bLog(int level, const char* key, const char* mesg);

/**
  **/
void iLog(int level, const char* key, const char* mesg);

/**
  **/
void sLog(int level, const char* key, const char* mesg);

/**
  **/
void fLog(int level, const char* key, const char* mesg);

/**
  */
void flush();

#ifdef __cplusplus
}
#endif

#endif
