#ifndef DN_TEST_CASE_HPP
#define DN_TEST_CASE_HPP

#include "cppunit/TestCase.h"
#include "cppunit/TestSuite.h"


/**
  * Tests the DistinguishedName. 
  */
class DistinguishedNameTestCase : public CppUnit::TestCase {

public:

  /**
    * Constructs this object.
    */
  DistinguishedNameTestCase(const std::string& name = "DistinguishedNameTestCase") : TestCase(name) {
  }

  /**
    * Registers the <i<>doTest</i> method.
    */
  static CppUnit::TestSuite* suite();

private:

  /**
    * Calls <i>testMD5</i> and <i>testSHA1</i>.
    */
  void doTest();

  /**
    */
  void test1();

  /**
    */
  void test2();

};

#endif
