#!/bin/sh

# Script to test access to the LBL resource tree

echo  "**********************************"
echo "checking access of Akenti Testing to TOP"
echo "should see Allowed actions are: execute, read"
bin/akenti CheckAccess -x idCerts/akentitest.pem -f conf/Akenti.conf -r TOP 
echo  "**********************************"

echo "checking access of \"Some Company\" to TOP"
echo "should see access denied"
echo "log should show user not verified"
bin/akenti CheckAccess -x idCerts/dontallow.pem -f conf/Akenti.conf -r TOP
echo "**********************************"

echo "checking access of  \"Some User\" (Non Akenti user)  to TOP"
echo "should see access denied"
echo "log should show user ca not accepted by uc cert"
bin/akenti CheckAccess -x idCerts/nonakenti.pem -f conf/Akenti.conf -r TOP
echo "**********************************"

echo "checking access of StakeHolder1 to TOP/cgi-bin/grouptest"
echo "should see Allowed actions are: execute, read, write"
bin/akenti CheckAccess -x idCerts/issuer.pem -f conf/Akenti.conf -r TOP/cgi-bin/grouptest
echo "**********************************"

echo "checking access of StakeHolder1 to TOP/cgi-bin/extauth"
echo "should see Allowed actions are: execute, read"
echo "should see Conditional action: write"
bin/akenti CheckAccess -x idCerts/issuer.pem -f conf/Akenti.conf -r TOP/cgi-bin/extauth
echo "**********************************"

