#include "StringUtil.hpp"
#include <algorithm> 
#include <cctype> 

using std::transform;

bool 
Akenti::StringUtil::equalsIgnoreCase(const string& s1, const string& s2) {
  string dest1(s1.size(), '\0'), dest2(s2.size(), '\0');

  transform(s1.begin(), s1.end(), dest1.begin(), toupper);
  transform(s2.begin(), s2.end(), dest2.begin(), toupper);
  return dest1 == dest2;
}

string 
Akenti::StringUtil::toUpper(const string& s) {
  string upper(s.size(), '\0');

  transform(s.begin(), s.end(), upper.begin(), toupper);
  return upper; 
}

