#include "SocketImplFactory.hpp"
#include "SocketImpl.hpp"

using Akenti::SocketImplFactory;

typedef SocketImplFactory SIF;

SocketImplFactory SocketImplFactory::fac = SocketImplFactory();

SIF::SocketImplFactory() {
}

SIF::~SocketImplFactory() {
}

Akenti::SocketImpl* 
SIF::createSocketImpl() const {
  return new SocketImpl;
}

void 
SIF::setSocketImplFactory(const SocketImplFactory& fact) {
  SIF::fac = fact;
}

const SocketImplFactory& 
SIF::getSocketImplFactory() {
  return fac;
}
