#ifndef ATTRIBUTE_CERT_GENERATOR_TEST_CASE_HPP
#define ATTRIBUTE_CERT_GENERATOR_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"

/**
  * Generates the attribute certificates for the Akenti test.
  *
  */
class AttributeCertGeneratorTestCase : public CppUnit::TestCase {

public:

  /**
    * Constructs this object.
    */
  AttributeCertGeneratorTestCase(const std::string& name = "AttributeCertGeneratorTestCase") 
    : TestCase (name) {
  }

  /**
    * Registers the <i>generateAttributeCertificates</i>.
    */
  static CppUnit::TestSuite* suite();

private:

  /**
    * Generates all the Attribute certificates.
    */
  void generateAttributeCertificates();

  /**
    * Generates a single Attribute Certificate.
    */
  void generateAttributeCert1();

};

#endif

