#ifndef CERTIFICATE_RESPONSE_TEST_CASE_HPP
#define CERTIFICATE_RESPONSE_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"
#include "AkentiCertificate.hpp"

using namespace Akenti;

class CertificateResponseTestCase : public CppUnit::TestCase {

public:

  /**
   * Constructs this object.
   */
  CertificateResponseTestCase(const std::string& name = "CertificateResponseTestCase")
    : TestCase (name) {
  }

  /**
   * Registers the <i>doTest</i> method
   */
  static CppUnit::TestSuite* suite();

private:

  void doTest();

  void testWithStatus();

  void testWithoutStatus();

  AkentiCertificate genAttributeCert();

};

#endif
