#ifndef COLLECT_POLICY_RESPONSE_TEST_CASE_HPP
#define COLLECT_POLICY_RESPONSE_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"
#include "AkentiCertificate.hpp"

using namespace Akenti;

class CheckPolicyResponseTestCase : public CppUnit::TestCase {

public:

  /**
   * Constructs this object.
   */
  CheckPolicyResponseTestCase(const std::string& name = "CheckPolicyResponseTestCase")
    : TestCase (name) {
  }

  /**
   * Registers the <i>doTest</i> method
   */
  static CppUnit::TestSuite* suite();

private:

  void doTest();

  void test1();

  AkentiCertificate genAttributeCert();

};

#endif
